org.apache.cassandra.cql3.selection

## Class Selectable

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable

Direct Known Subclasses:
  ColumnIdentifier, Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WritetimeOrTTL

    public abstract class Selectable
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `Selectable.Raw`
`static class` `Selectable.WithFieldSelection`
`static class` `Selectable.WithFunction`
`static class` `Selectable.WritetimeOrTTL`

### Constructor Summary

Constructors
Constructor and Description
`Selectable()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected static int` `addAndGetIndex(ColumnDefinition def, java.util.List<ColumnDefinition> l)`
`abstract Selector.Factory` `newSelectorFactory(CFMetaData cfm, java.util.List<ColumnDefinition> defs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Selectable

    public Selectable()

### Method Detail

#### newSelectorFactory

    public abstract Selector.Factory newSelectorFactory(CFMetaData cfm,
                                                        java.util.List<ColumnDefinition> defs)
                                                 throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addAndGetIndex

    protected static int addAndGetIndex(ColumnDefinition def,
                                        java.util.List<ColumnDefinition> l)